Class | StateParser::State
In: | lib/facets/more/stateparser.rb
Parent: | Object

State

### Methods

clear_current current_begins current_ends current_info current_match current_token end_trigger mock new next_end next_offset next_start trigger trigger_finish trigger_flush

### Included Modules

::StateParser::Constants

### Attributes

machine | [R] |
mode | [RW] |
offset | [RW] |
stack | [R] |
text | [R] |
tkstack | [R] |

### Public Class methods

new( text, machine )

### Public Instance methods

clear_current()
current_begins()
current_ends()
current_info()
current_match()
current_token()
end_trigger()
mock( current )
next_end( index )
next_offset()

increment the offset

next_start( token, index )
trigger()
trigger_finish()
trigger_flush( text )

[Validate]